Gda.MetaDbObject – Gda-6.0 Reference Manual

# MetaDbObject

## Object Hierarchy:

## Description:

[ CCode ( has_type_id = false ) ]
public struct MetaDbObject
Namespace: Gda
Package: Gda-6.0

## Content:

### Fields:

- public MetaDbObjectType obj_type
- public bool outdated
- public unowned string obj_catalog
- public unowned string obj_schema
- public unowned string obj_name
- public unowned string obj_short_name
- public unowned string obj_full_name
- public unowned string obj_owner
- public unowned SList<MetaDbObject?> depend_list
- public MetaTable extra_meta_table
- public MetaView extra_meta_view